import App from './App.vue';

// #ifdef VUE3
import { createApp } from 'vue' // 注意这里改成 createApp

// 创建应用实例
const app = createApp(App) // 使用 createApp

// 挂载应用
app.mount('#app')

// 导出 createApp 函数供 SSR 使用
export function createApp() {
    return { app }
}
// #endif

// #ifndef VUE3
// Vue 2 兼容代码
import Vue from 'vue'
import App from './App'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

//#ifdef H5
window.sessionStorage.setItem('firstEntryUrl', window.location.href.split('#')[0])
// #endif
